summaryrefslogtreecommitdiffstats
path: root/test/integration/test-bug-990518-sourceslist-volatile
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/test-bug-990518-sourceslist-volatile')
-rwxr-xr-xtest/integration/test-bug-990518-sourceslist-volatile15
1 files changed, 15 insertions, 0 deletions
diff --git a/test/integration/test-bug-990518-sourceslist-volatile b/test/integration/test-bug-990518-sourceslist-volatile
new file mode 100755
index 0000000..1353566
--- /dev/null
+++ b/test/integration/test-bug-990518-sourceslist-volatile
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+
+TESTDIR="$(readlink -f "$(dirname "$0")")"
+. "$TESTDIR/framework"
+
+setupenvironment
+configarchitecture 'amd64'
+
+buildsimplenativepackage 'foo' 'amd64' '1'
+
+echo foo > rootdir/etc/apt/sources.list.d/test.list
+
+testfailureequal "E: Malformed line 1 in source list ${TMPWORKINGDIRECTORY}/rootdir/etc/apt/sources.list.d/test.list (type)
+E: The list of sources could not be read." apt install ./incoming/foo_1_amd64.deb -s